## Typing stubs for mypy-extensions

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`mypy-extensions`](https://github.com/python/mypy_extensions) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `mypy-extensions`. This version of
`types-mypy-extensions` aims to provide accurate annotations for
`mypy-extensions==1.1.*`.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/mypy-extensions`](https://github.com/python/typeshed/tree/main/stubs/mypy-extensions)
directory.

This package was tested with
mypy 1.15.0,
pyright 1.1.399,
and pytype 2024.10.11.
It was generated from typeshed commit
[`0c6ef9c6aeac5eb4c316366a21bb2644f0a989bc`](https://github.com/python/typeshed/commit/0c6ef9c6aeac5eb4c316366a21bb2644f0a989bc).